Subscribers logs
GET https://66pusher.com/demo/api/subscribers-logs/
curl --request GET \
--url 'https://66pusher.com/demo/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://66pusher.com/demo/api/subscribers-logs/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: ip. |
| type | Optional String | Allowed values: clicked_notification, closed_notification, displayed_notification, expired_deleted, manually_deleted, permission_denied, push_notification_sent, subscribed, unsubscribed |
| website_id | Optional Integer | |
| datetime_field | Optional String | Allowed values: datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: subscriber_log_id, datetime. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"subscriber_id": 1,
"campaign_id": 0,
"flow_id": 0,
"personal_notification_id": 1,
"website_id": 1,
"user_id": 1,
"ip": "123.123.123.123",
"type": "clicked_notification",
"datetime": "2026-04-19 06:28:42",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://66pusher.com/demo/api/subscribers-logs?page=1",
"last": "https://66pusher.com/demo/api/subscribers-logs?page=1",
"next": null,
"prev": null,
"self": "https://66pusher.com/demo/api/subscribers-logs?page=1"
}
}